Subject: Re: [RFC/PATCH] cherry-pick/revert: add support for -X/--strategy-option

From: Justin Frankel <[email-masked]>
Date: Mon, 27 Dec 2010 17:07:10 -0500

I think this is a good thing -- all commands that use an underlying 
merge should support these options.

Would it make sense at some level to allow some other means of cleanly 
passing this information around? Perhaps an environment variable for 
merge options?

Jonathan Nieder wrote:
> Jonathan Nieder wrote:
> 
>> For example, this would allow cherry-picking or reverting patches from
>> a piece of history with a different end-of-line style, like so:
>>
>> 	$ git revert -Xrenormalize old-problematic-commit
>>
>> Currently that is possible with manual use of merge-recursive but the
>> cherry-pick/revert porcelain does not expose the functionality.
>>
>> While at it, document the existing support for --strategy.
>>
>> Signed-off-by: Jonathan Nieder <[email-masked]>
>> ---
>> Thoughts?
> 
> Ping?  I use this with -Xpatience fairly often.  Am I the only one who
> has wanted such a thing?